Send test webhook payload
1 min
POST
https://app.amberflo.io/webhook/test
Body Parameters
- bodywebhook-test-post-requestDescription
- webhookIdstringrequiredDescription
Responses
200
- webhook-test-responseDescription
- testIdstringDescription
- accountIdstringDescription
400
401
403
404
500
curl
curl --request POST \
--url https://app.amberflo.io/webhook/test \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"webhookId": ""
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"webhookId": ""
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://app.amberflo.io/webhook/test", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/webhook/test")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"webhookId": ""
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/webhook/test"
payload = json.dumps({
"webhookId": ""
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Test webhook sent successfully with delivery status and endpoint response details
{
"testId": "",
"accountId": ""
}400
// Invalid request parameters or malformed request body
401
// Missing or invalid API key authentication
403
// Insufficient permissions to access this resource
404
// Webhook configuration not found or endpoint URL not configured
500
// Internal server error occurred while processing request